For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get http transport configuration details

Get details for a http transport configuration.

Required access: Tenant.Admin

get
/tenants/{tenantUid}/httptransports/{httpTransportUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
httpTransportUidstringRequired

Reference to a Http Transport.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Transport response

application/json

Transport Response Schema

namestringRequired
passwordstringRequired
securityTypestring · enumRequiredPossible values:
tokenstringRequired
httpTransportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
urlstringRequired
usernamestringRequired
get/tenants/{tenantUid}/httptransports/{httpTransportUid}
GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Transport response

{
  "headers": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "name": "text",
  "password": "text",
  "securityType": "NONE",
  "token": "text",
  "httpTransportUid": "text",
  "url": "text",
  "username": "text"
}

Last updated

Was this helpful?